ASN_MODULE_SOURCES=	\
	TokenInfo.c	\
	TokenInfoT61.c	\
	TokenFlags.c	\
	CertificateObject.c	\
	CertificateObjectCERES.c	\
	CommonObjectAttributes.c	\
	CommonObjectFlags.c	\
	CommonCertificateAttributes.c	\
	X509CertificateAttributes.c	\
	X509CertificateAttributesCeres.c	\
	CertificateSerialNumber.c	\
	Path.c	\
	Label.c	\
	LabelCERES.c	\
	PrivateKeyObject.c	\
	PrivateKeyObjectCERES.c	\
	CommonKeyAttributes.c	\
	KeyUsageFlags.c	\
	KeyAccessFlags.c	\
	PrivateRSAKeyAttributes.c	\
	PublicKeyObject.c	\
	PublicKeyObjectCERES.c	\
	PublicRSAKeyAttributes.c	\
	DataObject.c	\
	CommonDataObjectAttributes.c	\
	PKCS15UnusedSpace.c

ASN_MODULE_HEADERS=	\
	TokenInfo.h	\
	TokenInfoT61.h	\
	TokenFlags.h	\
	CertificateObject.h	\
	CertificateObjectCERES.h	\
	CommonObjectAttributes.h	\
	CommonObjectFlags.h	\
	CommonCertificateAttributes.h	\
	X509CertificateAttributes.h	\
	X509CertificateAttributesCeres.h	\
	CertificateSerialNumber.h	\
	Path.h	\
	Label.h	\
	LabelCERES.h	\
	PrivateKeyObject.h	\
	PrivateKeyObjectCERES.h	\
	CommonKeyAttributes.h	\
	KeyUsageFlags.h	\
	KeyAccessFlags.h	\
	PrivateRSAKeyAttributes.h	\
	PublicKeyObject.h	\
	PublicKeyObjectCERES.h	\
	PublicRSAKeyAttributes.h	\
	DataObject.h	\
	CommonDataObjectAttributes.h	\
	PKCS15UnusedSpace.h



lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = progname
CFLAGS += -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	asn1c ..\..\Sources\PKCS15lite.asn

